*{
    list-style: none;
    margin: 0;
    box-sizing: border-box;
}

p {
    margin-bottom: 0;
}

body {
    color: black;
    background: #0f0c29;
    background: -webkit-linear-gradient(to right, #24243e, #302b63, #0f0c29);
    background: linear-gradient(to right, #24243e, #302b63, #0f0c29);
}

.returnHome {
    display: block;
    position: fixed;
    top: 20px;
    right: 20px;
}

.home {
    height: 50px;
    width: 50px;
    border-radius: 10px;
    background-color: silver;
}

.home:hover {
    background-color: white;
    transition: linear .2s;
}

.returnProducts {
    display: block;
    position: fixed;
    top: 80px;
    right: 20px;
}

.products {
    height: 50px;
    width: 50px;
    border-radius: 10px;
    background-color: silver;
}

.products:hover {
    background-color: white;
    transition: linear .2s;
}

.mayorista {
    display: block;
    position: absolute;
    top: 20px;
    left: 20px;
    margin: 0;
}

.mayorista:hover {
    box-shadow: rgb(120, 120, 120) 2px 4px 10px 0px;
    transition: linear .2s;
}

.novedades {
    display: block;
    position: absolute;
    top: 20px;
    right: 20px;
    margin: 0;
}

.novedades:hover {
    box-shadow: rgb(120, 120, 120) 2px 4px 10px 0px;
    transition: linear .2s;
}

.header {
    background-color: rgb(29, 23, 65);
    height: 160px;
    width: 100%;
}

.nav {
    display: flex;
    justify-content: center;
    position: relative;
    top: auto;
    width: 100%;
}

.logo {
    margin-top: 20px;
    border: rgb(93, 93, 93) solid 2px;
    border-radius: 5px;
    padding: 5px 5px;
    width: 482px;
    height: 118px;
    box-shadow: rgb(120, 120, 120) 2px 4px 10px 0px;
}
.sliderdoble {
    width: 100%;
    overflow: hidden;
}
.sliderdoble ul {
    display:flex;
    width: 500%;
    padding-inline-start: 0;
    animation: transicion 30s infinite alternate;
    margin: 30px;
}
.sliderdoble li {
    width: 50%;
}
.sliderdoble img {
    width: 30%;
}
.lista li {
    display: flex;
    justify-content: center;
}

.data {
    background-color: rgb(93, 93, 93);
    font-family: Roboto, Arial, sans-serif;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    bottom: 0;
    height: 75px;
}
.data-item {
    text-align: center;
    font-size: 20px;
    padding: 10px;
}
/*
.nombre {
    padding: 10px;
}
.email {
    padding: 10px;
}
.tel {
    padding: 10px;
}
.webDev {
    padding: 10px;
}
*/
.link {
    text-decoration: none;
}

.conteiner {
    display: flex;
    flex-direction: row;
}

.left {
    color: white;
    margin: 10px;
    padding: 10px;
    width: 50%;
    box-sizing: inherit;
    background-color: rgb(56, 44, 121);
    border: 3px solid rgb(43, 35, 93);
    border-radius: 10px;
    font-size: 30px;
}

.rigth {
    width: 50%;
    margin: 10px;
    padding: 10px;
    align-items: center;
}

.card {
    margin-top: 10px;
    max-width: 250px;
}

.card:hover {
    cursor: pointer;
    transition: linear .2s;
    box-shadow: black 4px 8px 20px 0px;
    transition: box-shadow .3s;
}

.card-text {
    font-weight: 900;
    font-size: 17px;
}

.otherProducts {
    margin-top: 10px;
    margin-bottom: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.text {
    text-align: center;
    color: white;
    margin-top: 20px;
    margin-bottom: 20px;
}


.main {
    margin-top: 15px;
    margin-right: 10%;
    margin-left: 10%;
    margin-bottom: 15px;
}

.seccion {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    border: white solid 1px;
    border-radius: 5px;
    margin-top: 5px;
    padding: 10px;
}

.seccion:hover {
    border: white solid 3px;
    cursor: pointer;
    box-shadow: black 4px 8px 20px 0px;
    transition: box-shadow .2s;
    background: #0f0c29;
}

.par {
    color: white;
}

.impar {
    color: white;
    text-align: right;
}

.foto {
    width: 250px;
    height: 250px;
    border-radius: 5px;
}

.coment {
    padding-left: 5px;
    padding-right: 5px;
    display: flex;
    align-items: center;
    font-size: 30px;
    font-weight: 900;
}

.boton {
    background-color: rgb(29, 23, 65);
    color: white;
    border-radius: 1px;
    border: solid rgb(93, 93, 93) 2px;
    font-size: 37px;
    font-family: sans-serif;
}

.boton:hover,
.boton_active {
    background-color: rgb(41, 32, 87);
    transition: linear .2s;
}

.botonCatalogos {
    background-color: rgb(29, 23, 65);
    color: white;
    border-radius: 1px;
    border: solid rgb(93, 93, 93) 2px;
    font-size: 60px;
    font-family: sans-serif;
}

.botonCatalogos:hover,
.botonCatalogos_active {
    background-color: rgb(41, 32, 87);
    transition: linear .2s;
}

.conoceMas:hover,
.conoceMas_active {
    box-shadow: rgb(120, 120, 120) 2px 4px 10px 0px;
    transition: linear .2s;
}

#textoConoceMas {
    text-align: center;
    color: white;
    font-size: 40px;
}

#mayorista:before {
    content: "LISTA MAYORISTA";
}

#nuevo:before {
    content: "¡NOVEDADES!";
}

#cards {
    margin-left: 20px;
    margin-right: 20px;
}

.direct {
    color: black;
    text-decoration: none;
}

#hiddenCard {
    margin: auto;
    font-size: 20px;
    max-width: none;
    width: 60%;
}

#hiddenContainer {
    width: 100%;
}

.hidenForm {
    background: grey;
    cursor:default;
    position: fixed;
    width: 100%;
    height: calc(100%-60px);
    overflow-y: auto;
    left: 100%;
    transition: left 0.3s;
    margin-left: auto;
    margin-right: auto;
    padding-top: 2%;
    padding-bottom: 2%;
}

.hidenForm_visible {
    left: 0px;
    z-index: 9999;
}

#passwordField {
    margin-bottom: 5%;
    margin: auto;
    font-family: sans-serif;
    font-size: 25px;
}

.insideText {
    font-family: sans-serif;
    font-size: 25px;
    font-weight: 700;
    padding: 2% 2%;
}

#passwordField {
    text-align: center;
}

#sendButton {
    display: flex;
    flex-direction: column;
    margin: auto;
    margin-top: 2%;
    margin-bottom: 2%;
    font-size: 45px;
}

#closeButton {
    position: absolute;
    right: 2%;
    top: 2%;
}

.textoMayorista {
    font-family: sans-serif;
    font-size: 45px;
    font-weight: 700;
    padding: 5% 6% 2% 6%;
}

.registerForm {
    background: white;
    margin: 3% auto;
    padding: 3px;
    text-align: center;
    width: 70%;
}

.formConteiner {
    padding: 15px;
    margin: 0 auto;
}

.input-formConteiner{
    margin-bottom: 15px;
    border: 1px solid #aaa;
    padding-left: 5px;
}

.field {
    font-size: 20px;
    width: 95%;
    padding: 10px;
    border: none;
}

.buttonsRL {
    font-size: 20px;
    padding: 15px 20px;
    border-radius: 5px;
    cursor: pointer;
    background: rgb(189, 128, 17);
    border: black solid 2px;
    box-shadow: black 1px 2px 5px 0px;
}

.buttonsRL:hover {
    background: rgb(189, 110, 17);
    box-shadow: black 2px 3px 6px 0px;
    transition: background .3s, box-shadow .3s;
}

/* prueba para grid */

.grillaProductos {
    width: 100%;
}

.grillaProductos img {
    width: 100%;
}

.producto__columna {
    padding: 5px;
    border-radius: 5px;
    border: white solid 2px;
}

.producto__columna:hover {
    box-shadow: black 2px 4px 10px 0px;
    transition: background .3s, box-shadow .3s;
}

.productos .grillaProductos {
    display: grid;
    grid-gap: 20px;
    align-content: space-around;
    grid-template-columns: repeat(5,1fr);
    padding-right: 90px;
    padding-left: 90px;
    padding-bottom: 30px;
}

.fotoProducto {
    border-radius: 5px;
}

.descripcion {
    color: white;
}

.code {
    color: white;
}

.tituloProducto {
    color: white;
}

/* prueba para grid */


@keyframes transicion{
    0% { margin-left: 0;}
    18% { margin-left: 0;}   
    20% {margin-left: -100%;}
    38% {margin-left: -100%;}
    40% {margin-left: -200%;}
    58% {margin-left: -200%;}
    60% {margin-left: -300%;}
    78% {margin-left: -300%;}
    80% {margin-left: -400%;}
    100% {margin-left: -400%;}
}


@media (max-width:1768px) {
    body {
        padding-bottom: 96px;
    }
    .conteiner {
        flex-direction: column;
        align-items: center;
    }
    .left {
        width: 80%;
    }
    .rigth {
        width: 80%;
    }
}

@media (max-width:1176px) {
    body {
        padding-bottom: 86px;
    }
    .header {
        height: 120px;
    }
    .logo {
        margin: 15px 15px;
        width: 350px;
        height: 86px;
    }
    .nav-menu {
        display: flex;
        margin-right: 40px;
        margin-top: 20px;
    }
    .nav-menu-item {
        font-size: 30px;
        margin: 20px 20px;
        line-height: 30px;
        padding: auto;
        width: max-content;
    }
    .data-item {
        font-size: 17px;
    }
    .foto {
        width: 200px;
        height: 200px;
    }
    .coment {
        font-size: 20px;
    }
    .boton {
        font-size: 28px;
    }
    .productos .grillaProductos {
        grid-template-columns: repeat(4,1fr);
    }
    .card-text {
        font-size: 15px;
    }
    .textoMayorista{
        font-size: 38px;
        font-weight: 600;
    }
    .insideText {
        font-size: 20px;
        font-weight: 600;
    }
}

@media (max-width: 922px) {
    body {
        padding-bottom: 72px;
    }
    .header {
        height: 110px;
    }
    .logo {
        margin: 10px 10px;
        width: 300px;
        height: 74px;
    }
    .nav-menu {
        display: flex;
        margin-right: 20px;
        margin-top: 15px;
    }
    .nav-menu-item {
        font-size: 25px;
        margin: 15px 15px;
        line-height: 25px;
        padding: auto;
        width: max-content;
    }
    .left {
        font-size: 25px;
    }
    .foto {
        width: 180px;
        height: 180px;
    }
    .coment {
        font-size: 18px;
    }
    .boton {
        font-size: 20px;
    }
    .productos .grillaProductos {
        grid-template-columns: repeat(3,1fr);
    }
    .textoMayorista {
        font-size: 35px;
    }
    #sendButton {
        font-size: 40px;
    }
}

@media (max-width: 768px) {
    .header {
        height: 69px;
    }
    .logo {
        margin: 10px 10px;
        width: 200px;
        height: 49px;
    }
    .nav-menu {
        flex-direction: column;
        align-items: center;
        margin-right: 20px;
        margin-top: 80px;
        background-color: #2c3e50;
        position: fixed;
        left: 0;
        top: 100;
        width: 100%;
        padding: 20px 0;
        height: calc(100%-60px);
        overflow-y: auto;
        left: 100%;
        transition: left 0.3s;
    }
    .nav-desp {
        display: block;
        margin-right: 10px;
    }
    .nav-menu_visible {
        left: 0;
    }
    .data-item {
        font-size: 12px;
    }
    .left {
        font-size: 22px;
    }
    .foto {
        width: 130px;
        height: 130px;
    }
    .coment {
        font-size: 15px;
    }
    .returnHome {
        top: 10px;
        right: 5px;
    }
    .home {
        height: 30px;
        width: 30px;
    }
    .returnProducts {
        top: 50px;
        right: 5px;
    }
    .products {
        height: 30px;
        width: 30px;
    }
    .boton {
        font-size: 15px;
    }
    .mayorista {
        left: 10px;
    }
    .novedades {
        right: 10px;
    }
    #mayorista:before {
        content: "MAYORISTA";
    }
    #nuevo:before {
        content: "¡NUEVO!";
    }
    .productos .grillaProductos {
        grid-template-columns: repeat(2,1fr);
        padding-right: 60px;
        padding-left: 60px;
    }
    .sliderdoble img {
        width: 40%;
    }
    .conoceMas:hover,
    .conoceMas_active {
    box-shadow: rgb(120, 120, 120) 1px 2px 5px 0px;
    transition: linear .2s;
    }
    .botonCatalogos{
        font-size: 42px;
    }
    #textoConoceMas {
        font-size: 32px;
    }
    .textoMayorista{
        font-size: 30px;
        font-weight: 500;
        padding-top: 27px;
    }
    .insideText {
        font-weight: 500;
        padding-top: 27px;
    }
    #passwordField {
        font-size: 18px;
    }
    #sendButton {
        font-size: 36px;
    }
    .registerForm {
        margin: auto;
        width: 100%;
        border-radius: 5px;
        margin-bottom: 50px;
    }
}

@media (max-width:490px) {
    .fas {
        padding: 0 10px;
    }
    .field {
        text-align: center;
    }
}

@media (max-width: 420px) {
    body {
        padding-bottom: 62px;
    }
    .data-item {
        font-size: 9px;
    }
    .left {
        font-size: 15px;
    }
    .foto {
        width: 100px;
        height: 100px;
    }
    .coment {
        font-size: 12px;
    }
    .boton {
        font-size: 10px;
    }
    .productos .grillaProductos {
        grid-template-columns: repeat(1,1fr);
    }
    .botonCatalogos{
        font-size: 38px;
    }
    #textoConoceMas {
        font-size: 28px;
    }
    .textoMayorista {
        font-size: 18px;
    }
    .insideText {
        font-weight: 500;
    }
    #passwordField {
        font-size: 15px;
    }
    #sendButton {
        font-size: 30px;
    }
    #closeButton {
        width: 8px;
        height: 8px;
    }
}

@media (max-width: 360px) {
    .botonCatalogos{
        font-size: 35px;
    }
    #textoConoceMas {
        font-size: 25px;
    }
    .insideText {
        font-size: 18px;
    }
    #passwordField {
        font-size: 12px;
    }
    #sendButton {
        font-size: 25px;
    }
}